import { jsx as d } from "react/jsx-runtime";
import { p as i, W as m } from "./index-C62tPk5p.js";
import { A as u } from "./AppCard-CQEg94Y3.js";
import { u as c } from "./useIsAppEnabled-DnQeiNdg.js";
const l = function({ app: t, eventType: e, onAppInstallSuccess: p }) {
  var a;
  const r = i.usePathname(), { enabled: n, updateEnabled: o } = c(t);
  return /* @__PURE__ */ d(
    u,
    {
      onAppInstallSuccess: p,
      returnTo: `${m}${r}?tabName=apps`,
      app: t,
      teamId: ((a = e.team) == null ? void 0 : a.id) || void 0,
      switchOnClick: (s) => {
        o(s);
      },
      switchChecked: n,
      hideAppCardOptions: !0
    }
  );
};
export {
  l as default
};
